From 11f138117fd7fe726678c2036e43a074be36f9ca Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Thu, 10 Feb 2022 16:46:45 +0000
Subject: [PATCH v2] add "vcregress taptest" and mention about Windows on
 regression tests page

This patch adds missing "vcregress taptest" command usage in the
Winodws docs. Also, adds a reference to Windows regression tests
on the main regression tests page.
---
 doc/src/sgml/install-windows.sgml | 18 +++++++++++++-----
 doc/src/sgml/regress.sgml         | 12 ++++++++++++
 2 files changed, 25 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index 30dd0c7f75..183b0d342b 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -160,7 +160,7 @@ $ENV{MSBFLAGS}="/m";
 </programlisting>
  </para>
 
- <sect2>
+ <sect2 id="install-windows-requirements">
   <title>Requirements</title>
   <para>
    The following additional products are required to build
@@ -346,7 +346,7 @@ $ENV{MSBFLAGS}="/m";
   </para>
  </sect2>
 
- <sect2>
+ <sect2 id="install-windows-considerations">
   <title>Special Considerations for 64-Bit Windows</title>
 
   <para>
@@ -371,7 +371,7 @@ $ENV{MSBFLAGS}="/m";
   </para>
  </sect2>
 
- <sect2>
+ <sect2 id="install-windows-build">
   <title>Building</title>
 
   <para>
@@ -408,7 +408,7 @@ $ENV{CONFIG}="Debug";
   </para>
  </sect2>
 
- <sect2>
+ <sect2 id="install-windows-clean-and-install">
   <title>Cleaning and Installing</title>
 
   <para>
@@ -441,7 +441,7 @@ $ENV{CONFIG}="Debug";
   </para>
  </sect2>
 
- <sect2>
+ <sect2 id="install-windows-regression-tests">
   <title>Running the Regression Tests</title>
 
   <para>
@@ -463,6 +463,14 @@ $ENV{CONFIG}="Debug";
 <userinput>vcregress bincheck</userinput>
 <userinput>vcregress recoverycheck</userinput>
 <userinput>vcregress upgradecheck</userinput>
+</screen>
+
+   You can use <command>vcregress taptest TEST_DIR</command> to run an
+   arbitrary TAP test set, where TEST_DIR is a required argument pointing to
+   the directory where the tests reside. For example, use the following
+   command for running the subcription TAP tests:
+<screen>
+<userinput>vcregress taptest src/test/subscription</userinput>
 </screen>
 
    To change the schedule used (default is parallel), append it to the
diff --git a/doc/src/sgml/regress.sgml b/doc/src/sgml/regress.sgml
index 952139fc60..2024c9037c 100644
--- a/doc/src/sgml/regress.sgml
+++ b/doc/src/sgml/regress.sgml
@@ -402,6 +402,18 @@ make check EXTRA_TESTS=numeric_big
 </screen>
    </para>
   </sect2>
+
+  <sect2>
+   <title>Running the Tests on <productname>Windows</productname></title>
+   
+  <para>
+   The regression tests can be run against an already installed and running
+   server or using a temporary installation within the build tree on
+   <productname>Windows</productname>. See <xref linkend="install-windows-regression-tests"/>
+   for more information.
+  </para>
+  </sect2>
+
   </sect1>
 
   <sect1 id="regress-evaluation">
-- 
2.25.1

